%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [q0,edof]=in_femur
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% loads q0 and edof from data files
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%% q0 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

data_femur_nod=load('data_femur_nod.dat');
q0size=size(data_femur_nod);
q0len=q0size(1);
for x=1:q0len
   bone_q0(2*x-1)=-data_femur_nod(x,4);
   bone_q0(2*x  )=+data_femur_nod(x,3);
end
q0=bone_q0';

%%% edof %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

data_femur_elm=load('data_femur_elm.dat');
edofsize=size(data_femur_elm);
edoflen=edofsize(1);
for x=1:edoflen
    bone_edof(x,1)=  data_femur_elm(x,1);
    bone_edof(x,2)=2*data_femur_elm(x,3)-1;
    bone_edof(x,3)=2*data_femur_elm(x,3);
    bone_edof(x,4)=2*data_femur_elm(x,4)-1;
    bone_edof(x,5)=2*data_femur_elm(x,4);
    bone_edof(x,6)=2*data_femur_elm(x,5)-1;
    bone_edof(x,7)=2*data_femur_elm(x,5);
    bone_edof(x,8)=2*data_femur_elm(x,6)-1;
    bone_edof(x,9)=2*data_femur_elm(x,6);
end
edof=bone_edof;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

