%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function plot_for(F,q0,dof,bc,f01)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
[nib, size0]=size(bc);
[ndof,size0]=size(F);

react = 0.0;

fmax = max(bc(:,2));
fmin = min(bc(:,2));
  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% displacement driven %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if ((fmin~=0)|(fmax~=0)) 
  for ib=1:nib
    if (bc(ib,2)~=0)
      disp(['*** punch discovered on node: ',num2str(bc(ib,1)),' with F ',num2str(F(bc(ib,1)))]);  
      displ = q0(bc(ib,1))-dof(bc(ib,1));      
      react = react + F(bc(ib,1));     
    end
  end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% force driven %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
else
  for ib=1:ndof
    react = react + F(ib);
  end
  displ = max(dof(2:2:ndof))-max(q0(2:2:ndof));
end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
disp(['*** displ: ',num2str(displ), ' *** react: ',num2str(react)])
fprintf(f01,'%f',displ);
fprintf(f01,'   ');
fprintf(f01,'%f\n',react);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
